/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2012, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@member.fsf.org
-------------------------------------------------------------------------------*/
#include <CS43L22.h>
#include <stdio.h>
#include <stddef.h>
#include <spi.h>

int cs43l22open(CS43L22_t* dev,i2c_t i2cdev, uint8_t A0)
{
    if(dev != NULL)
    {
        dev->i2cdev=i2cdev;
        dev->devAddress = CS43L22_I2C_ADDRESS | (A0 & 1);
        return 1;
    }
    return -1;
}

uint8_t cs43l22getID(CS43L22_t* dev)
{
    if(dev != NULL)
    {
        char DATA[]={CS43L22_MAP_ID};
        i2cwrite(dev->i2cdev,dev->devAddress,DATA,1);
        i2cread(dev->i2cdev,dev->devAddress,DATA,1);
        return DATA[0];
    }
    return -1;
}








